AWSTemplateFormatVersion: 2010-09-09
Metadata:
  'AWS::CloudFormation::Designer': {}
Description: "define groups of schedule rules to apply on ec2 instances"
Parameters:
  SchedulerInfraStackName:
    Type:  String
    Default: scheduler-infra
    Description: Name of scheduler main infra stack
Resources:
  HoursArbitrageLaunchCalcul:
    Type: 'Custom::ServiceInstanceSchedule'
    Properties:
      Description: Only for period where arbitrage automatic calcul is running.
      NoStackPrefix: true
      Name: scheduling-policy-arbitrage-automatic-calcul
      RetainRunning: true
      ServiceToken:
        Fn::ImportValue: !Sub "${SchedulerInfraStackName}-ServiceToken-arn"
      Enforced: false
      Hibernate: true
      Timezone: Europe/Paris
      Periods:
        - Description: Every days
          BeginTime: '13:00'
          EndTime: '14:30'
          WeekDays: Mon-Sun
